@import "variables/colors";
@import "variables/font";
@import "mixins/transitions";

.mo-button {
  box-sizing: border-box;
  appearance: none;
  background: transparent;
  border: none;
  font-family: $font-family-medium;
  border-radius: 24px;
  @include transition(background-color 400ms ease-out);
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  position: relative;
  margin-bottom: 4px;
  margin-top: 4px;
  font-weight: 700;
  cursor: pointer;
  outline: none;
  :focus {
    outline: none;
  }
  i {
    &.left {
      margin-right: 5px;
    }
    &.right {
      margin-left: 5px;
    }
  }
  &.reverse {
    flex-direction: row-reverse;
  }
  &.is-block {
    width: 100%;
  }
  &.size-lg {
    padding: 14px 56px;
    font-size: 22px;
    i {
      font-size: 28px;
    }
  }
  &.size-md {
    padding: 5px 30px;
    font-size: 14px;
    i {
      font-size: 18px;
    }
  }
  &.size-sm {
    padding: 5px 15px;
    font-size: 13px;
    i {
      font-size: 12px;
    }
  }
  &.template-neutro-dark {
    background-color: $neutral-80;
    color: white;
    &:hover {
      background-color: $neutral-100;
    }
    &.disabled {
      background-color: $neutral-60;
      color: white;
      opacity: 0.9;
      cursor: not-allowed;
    }
  }
  &.template-primary {
    background-color: $caribbean-green-60;
    color: black;
    &:hover {
      background-color: $caribbean-green-80;
    }
    &.disabled {
      background-color: $caribbean-green-40;
      color: $caribbean-green-20;
      opacity: 0.9;
      cursor: not-allowed;
    }
  }
  &.template-primary-white {
    @extend .template-primary;
    color: white;
  }
  &.template-dark-green {
    background-color: $caribbean-green-80;
    color: $neutral;
    &:hover {
      background-color: $caribbean-green-100;
    }
    &.disabled {
      background-color: $caribbean-green-60;
      color: $caribbean-green-40;
      opacity: 0.9;
      cursor: not-allowed;
    }
  }
  &.outline-default {
    background-color: white;
    color: $error-60;
    border: 1px solid $error-60;
    &:hover {
      background-color: $error-60;
      color: white;
    }
    &.disabled {
      border: 1px solid $error-20;
      color: $error-40;
      opacity: 0.9;
      cursor: not-allowed;
    }
  }
  &.outline-primary {
    color: $caribbean-green-60;
    border: 1px solid $caribbean-green-60;
    &:hover {
      background-color: $caribbean-green-60;
      color: white;
    }
    &.disabled {
      border: 1px solid $caribbean-green-20;
      color: $caribbean-green-40;
      opacity: 0.9;
      cursor: not-allowed;
    }
  }
  &.outline-primary__dark {
    background-color: white;
    color: $caribbean-green-80;
    border: 1px solid $caribbean-green-80;
    &:hover {
      background-color: $caribbean-green-80;
      color: white;
    }
    &.disabled {
      border: 1px solid $caribbean-green-20;
      color: $caribbean-green-40;
      opacity: 0.9;
      cursor: not-allowed;
    }
  }

  &.template-alternative {
    background-color: white;
    color: $color-primary;
    border-radius: 8px;
    border: 1px solid $color-primary;
    &:hover {
      background-color: $caribbean-green-80;
      color: white;
      border: 1px solid $caribbean-green-80;
    }
    &.disabled {
      background-color: $caribbean-green-10;
      color: $caribbean-green-20;
      opacity: 0.8;
    }
  }
  &.template-indigo {
    background-color: $main-indigo-60;
    color: white;
    &:hover {
      background-color: $main-indigo-80;
    }
    &.disabled {
      background-color: $main-indigo-40;
      color: $neutral-10;
      opacity: 0.9;
      cursor: not-allowed;
    }
  }
}

span {
  &.is-loading {
    padding-right: 30px;
  }
}

.loading-content {
  margin-top: 25px;
  display: block;
}
